﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Drawing2D;

namespace ThinkGeo.MapSuite.RoutingExamples
{
    public static class MapSuiteExampleHelper
    {
        public static GraphicsPath CreateRoundPath(Rectangle rect, int arcRadius)
        {
            GraphicsPath path = new GraphicsPath();
            if (rect.Width == 0 || rect.Height == 0) return path;

            if (arcRadius > 0)
            {
                path.AddArc(rect.Left, rect.Top, arcRadius, arcRadius, 180, 90);
                path.AddArc(rect.Right - arcRadius, rect.Top, arcRadius, arcRadius, -90, 90);
                path.AddArc(rect.Right - arcRadius, rect.Bottom - arcRadius, arcRadius, arcRadius, 0, 90);
                path.AddArc(rect.Left, rect.Bottom - arcRadius, arcRadius, arcRadius, 90, 90);
            }

            path.CloseFigure();
            return path;
        }

        public static void ForEach<T>(this IEnumerable<T> items, Action<T> action)
        {
            foreach (var item in items)
            {
                if (action != null) action(item);
            }
        }
    }
}