﻿using System.Drawing;
using System.Globalization;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;

namespace ThinkGeo.MapSuite.RoutingExamples
{
    public partial class StopItemUserControl : UserControl
    {
        public StopItemUserControl()
        {
            InitializeComponent();
        }

        public StopItemUserControl(PointShape point, int number)
            : this()
        {
            txtPoint.Text = string.Format(CultureInfo.InvariantCulture, "{0:N8}, {1:N8}", point.X, point.Y);

            Bitmap bitmap = new Bitmap(numberImage.Image);
            using (Graphics g = Graphics.FromImage(bitmap))
            {
                Font font = new Font("Segoe UI", 10, FontStyle.Bold);
                SizeF size = g.MeasureString(number.ToString(CultureInfo.InvariantCulture), font);
                g.DrawString(number.ToString(CultureInfo.InvariantCulture), font, new SolidBrush(Color.White), new PointF((bitmap.Width - size.Width) / 2, 0));
            }

            numberImage.Image = bitmap;
        }
    }
}